Package com.logicaldoc.core.security

# Enum Class Permission

java.lang.Object
java.lang.Enum<Permission>
com.logicaldoc.core.security.Permission

All Implemented Interfaces:
  `Serializable`, `Comparable<Permission>`, `Constable`

public enum Permission extends Enum<Permission>
Models a permission, that is the ability to do something

- READ: permission to read
- WRITE: permission to modify
- ADD: permission to add child elements
- SECURITY: permission to change security rules
- IMMUTABILE: permission to mark a document as immutable
- DELETE: permission to delete
- RENAME: permission to rename
- IMPORT: permission to import
- EXPORT: permission to export
- DOWNLOAD: permission to download
- SIGN: permission to digitally sign
- ARCHIVE: permission to archive
- WORKFLOW: permission to handle workflow
- CALENDAR: permission to handle calendar events
- SUBSCRIPTION: permission to handle events subscription
- PRINT: permission to print
- PASSWORD: permission to put a password
- MOVE: permission to move
- EMAIL: permission to send emails
- AUTOMATION: permission to handle the automation
- STORE: permission to handle the store
- READINGREQ: permission to send reading requests
- PREVIEW: permission to preview a document
- CUSTOMID: permission to edit the Custom ID
- REVISION: permission to edit the Revision

Since:
  4.0
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`ARCHIVE`
`AUTOMATION`
`CALENDAR`
`CUSTOMID`
`DELETE`
`DOWNLOAD`
`EMAIL`
`EXPORT`
`IMMUTABLE`
`IMPORT`
`MOVE`
`PASSWORD`
`PREVIEW`
`PRINT`
`READ`
`READINGREQ`
`RENAME`
`REVISION`
`SECURITY`
`SIGN`
`STORE`
`SUBSCRIPTION`
`WORKFLOW`
`WRITE`

## Method Summary

Modifier and Type
Method
Description
`static Set<Permission>`
`all()`
`static Set<Permission>`
`forGuests()`
`static Set<Permission>`
`match(String... names)`
`static Permission`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Permission[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ

public static final Permission READ

### DOWNLOAD

public static final Permission DOWNLOAD

### WRITE

public static final Permission WRITE

### ADD

public static final Permission ADD

### SECURITY

public static final Permission SECURITY

### IMMUTABLE

public static final Permission IMMUTABLE

### DELETE

public static final Permission DELETE

### RENAME

public static final Permission RENAME

### IMPORT

public static final Permission IMPORT

### EXPORT

public static final Permission EXPORT

### SIGN

public static final Permission SIGN

### ARCHIVE

public static final Permission ARCHIVE

### WORKFLOW

public static final Permission WORKFLOW

### CALENDAR

public static final Permission CALENDAR

### SUBSCRIPTION

public static final Permission SUBSCRIPTION

### PRINT

public static final Permission PRINT

### PASSWORD

public static final Permission PASSWORD

### MOVE

public static final Permission MOVE

### EMAIL

public static final Permission EMAIL

### AUTOMATION

public static final Permission AUTOMATION

### STORE

public static final Permission STORE

### READINGREQ

public static final Permission READINGREQ

### PREVIEW

public static final Permission PREVIEW

### CUSTOMID

public static final Permission CUSTOMID

### REVISION

public static final Permission REVISION

## Method Details

### values

public static Permission[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Permission valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### all

public static Set<Permission> all()

### match

public static Set<Permission> match(String... names)

### forGuests

public static Set<Permission> forGuests()